Bug 1258502 - ImportError: No module named simplejson
ImportError: No module named simplejson
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 09:59 EDT by John Florian
Modified: 2015-12-02 13:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:10:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Florian 2015-08-31 09:59:19 EDT
Description of problem:
koji is missing a Requires on python-simplejson.

Version-Release number of selected component (if applicable):
koji-1.10.0-1.fc21.noarch

How reproducible:
always

I just upgraded my koji instance to 1.10 and found that the server was in a outage state.  Checking the logs revealed:

[Mon Aug 31 09:55:06.317435 2015] [wsgi:error] [pid 1508] 2015-08-31 09:55:06,317 [ERROR] m=None u=None p=1508 r=?:? koji: Traceback (most recent call last):
[Mon Aug 31 09:55:06.317873 2015] [wsgi:error] [pid 1508]   File "/usr/share/koji-hub/kojixmlrpc.py", line 685, in server_setup
[Mon Aug 31 09:55:06.317981 2015] [wsgi:error] [pid 1508]     load_scripts(environ)
[Mon Aug 31 09:55:06.318076 2015] [wsgi:error] [pid 1508]   File "/usr/share/koji-hub/kojixmlrpc.py", line 660, in load_scripts
[Mon Aug 31 09:55:06.318170 2015] [wsgi:error] [pid 1508]     import kojihub
[Mon Aug 31 09:55:06.318297 2015] [wsgi:error] [pid 1508]   File "/usr/share/koji-hub/kojihub.py", line 47, in <module>
[Mon Aug 31 09:55:06.318414 2015] [wsgi:error] [pid 1508]     import simplejson as json
[Mon Aug 31 09:55:06.318542 2015] [wsgi:error] [pid 1508] ImportError: No module named simplejson


Installing the python-simplejson package resolved that problem, but led me to others.  :-(
Comment 1 Fedora End Of Life 2015-11-04 05:40:40 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Sebastien Badia 2015-11-09 11:50:36 EST
Hi!

This problem is still present in f23 (koji-1.10.0-2.fc23.noarch).
Comment 3 Fedora End Of Life 2015-12-02 10:10:47 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.